Skip to main content
POST
/
v1
/
compute
/
machines
Create a machine
curl --request POST \
  --url https://api.cnap.tech/v1/compute/machines \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "config_ref": "<string>",
  "cluster_id": "<string>",
  "node_claim": "<unknown>"
}
'
{
  "provider_id": "compute://abc123",
  "node_name": "worker-xl8r2",
  "status": "provisioning"
}

Authorizations

Authorization
string
header
required

Personal Access Token (cnap_pat_...) or OAuth2 JWT. Create tokens at https://cnap.tech/account/tokens

Body

application/json
config_ref
string
required

ComputeConfig ID

cluster_id
string
required

Cluster ID

node_claim
any

Machine requirements (instance type, resources, taints)

Response

Machine created

provider_id
string
required
Example:

"compute://abc123"

node_name
string
required
Example:

"worker-xl8r2"

status
string
required
Example:

"provisioning"